import {
  ExecutionContext,
  Injectable,
  UnauthorizedException,
} from '@nestjs/common';
import { AuthGuard } from '@nestjs/passport';
import { Observable } from 'rxjs';

@Injectable()
export class LocalAuthGuard extends AuthGuard('local') {
  
  handleRequest<User>(err: { message: string }, user: User): User {
    if (err || !user) {
      throw new UnauthorizedException(err?.message);
    }

    return user;
  }
}
